--- title: "Get video asset analysis status (deprecated)" slug: "maiu-analysis-status-depr" updated: 2026-09-17T10:12:40Z published: 2026-09-17T10:12:40Z canonical: "api.ncloud-docs.com/maiu-analysis-status-depr" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get video asset analysis status (deprecated) Available in VPC Caution This API is deprecated and is scheduled to be terminated in January 2027. Use the new [Get media asset analysis status](/docs/en/mi-index-status) API. Get the analysis status of a video asset registered in a project. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/workspaces/{workspace_name}/projects/{project_id}/video-assets/{video_asset_id}/analyze-status | ### Request headers For information about the headers common to all Media Intelligence APIs, see [Media Intelligence request headers](/docs/en/maiu-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters The following describes the parameters. | Field | Type | Required | Description | | --- | --- | --- | --- | | `workspace_name` | String | Required | Workspace name | | `project_id` | String | Required | Project ID - See [Get project list](/docs/en/maiu-list-projects). | | `video_asset_id` | String | Required | Video asset ID - See [Get video asset list](/docs/en/maiu-list-assets). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/projects/1234/video-assets/5678/analyze-status' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | [API processing result code](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `message` | String | - | [API processing result message](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `result` | Object | - | Video asset analysis status information | | `result.status` | String | - | Video analysis status - `BEFORE_ANALYZE`: Initial status when no video analysis has been performed - `WAIT_ANALYZE`: Job pending after requesting analysis - `ANALYZING`: Analysis in progress - `ANALYZE_COMPLETED`: Analysis succeeded - `ANALYZE_FAIL`: Error occurred while analyzing - `ANALYZE_CANCEL`: Analysis canceled by the user | | `result.analyzeStatusMessage` | String | - | Reason for failed video analysis - `An error occurred during video analysis (video parsing failure).` - `An error occurred during video analysis (person extraction failure).` - `An error occurred during video analysis (keyword encoding failure).` - `An error occurred during video analysis (analysis result processing failure).` | | `result.indexId` | Integer | - | Index ID created on successful analysis | ### Response status codes For information about the HTTP status codes common to all Media Intelligence APIs, see [Media Intelligence response status codes](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "0", "message": "success", "result": { "status": "ANALYZE_COMPLETED", "analyzeStatusMessage": null, "indexId": 1001 } } ```